Updates the equipment_brand object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

equipment_brand
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the equipment brand

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "80ace82d-9ce3-4c02-b4b3-11ba98614ef9",
  "name": "sample string 2",
  "code": "sample string 3",
  "sales_organization_id": "401f08b1-d993-4f39-abc0-36c5831d6674",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "0d4f75b0-3102-4f89-9fb0-62740e47857b",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "c0e7cee5-2fb7-4135-8a6b-989027e7177f",
    "db_currency_id": "9f065f27-9230-4524-b43a-74384c8cc976",
    "db_language_id": "149253cd-663d-4d52-a636-086b16fcbe51",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-08-06T20:06:09.4766457+00:00"
  },
  "modified_dateutc": "2026-08-06T20:06:09.4766457+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.